%define	major 0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	LPC-10 2400 bps Voice Coder
Name:		lpc10
Version:	1.5
Release:	%mkrel 18
Group:		Sound/Utilities
License:	distributable
URL:		http://www.arl.wustl.edu/~jaf/lpc/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-shared.patch
BuildRequires:	libtool

%description
LPC-10 2400 bps Voice Coder library and tools.

%package -n	%{libname}
Summary:	The shared LPC-10 2400 bps Voice Coder Library
Group:		System/Libraries
# Obsolete wrongly named lib (wrong major) for smooth upgrades
Obsoletes:	%{_lib}lpc10_1 < 1.5-15

%description -n	%{libname}
LPC-10 2400 bps Voice Coder library and tools.

%package -n	%{develname}
Summary:	LPC-10 2400 bps Voice Coder development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
LPC-10 2400 bps Voice Coder headers and static library.

%prep
%setup -q
%patch0 -p1

%build

make -C \
    lpc55-C \
    CC="gcc %{?ldflags}" \
    LIBDIR="%{_libdir}" \
    OPT="%{optflags} -fPIC"

%install

make -C lpc55-C \
    DESTDIR=%{buildroot} \
    LIBDIR="%{_libdir}" \
    install

cp -f lpc55-C/README README.tools
cp -f lpc55-C/lpc10/README README.lpc10

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc FAQ README README-1.0 README.lpc10 README.tools
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.5-18.mga5
+ Revision: 748751
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-17.mga5
+ Revision: 682002
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5-16.mga4
+ Revision: 532453
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 1.5-15.mga4
+ Revision: 468446
- tighten lib reqs
- fix wrong major
- drop .la files
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.5-14.mga3
+ Revision: 358972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 barjac <barjac> 1.5-13.mga3
+ Revision: 324670
- removed wildcard in files not needed
- changed group to new policy
- minor spec clean

* Thu Jan 20 2011 ahmad <ahmad> 1.5-12.mga1
+ Revision: 25909
- drop old/unneeded scriptlets
- imported package lpc10


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-11mdv2011.0
+ Revision: 606419
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-10mdv2010.1
+ Revision: 520975
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5-9mdv2010.0
+ Revision: 426004
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 1.5-8mdv2009.1
+ Revision: 364612
- use ldflags

* Wed Jun 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5-8mdv2009.0
+ Revision: 225116
- fix devel package naming

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.5-7mdv2008.1
+ Revision: 140933
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5-7mdv2007.0
+ Revision: 71214
- Import lpc10

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5-7mdv2007.0
- rebuild

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1.5-6mdk
- BuildRequires:	libtool

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5-5mdk
- fix the summary and deps

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-4mdk
- use the %%mkrel macro

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-3mdk
- lib64 fixes

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-2mdk
- lib64 fix

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5-1mdk
- initial mandrake package, pld import

